cabal-debian: Create a debianization for a cabal package

[ bsd3, debian, distribution, library, program, system ] [ Propose Tags ]

A program which creates a debian subdirectory containing the required files to build a deb.

Versions 1.3, 1.5, 1.6, 1.20, 1.21, 1.22, 1.23, 1.24, 1.25, 3.0.3, 3.0.4, 3.0.5, 3.0.7, 3.4, 3.4.1, 3.4.2, 3.4.3, 3.5, 3.7, 3.8, 3.8.1, 3.8.2, 3.8.3, 3.9, 4.0.3, 4.0.4, 4.0.5, 4.0.6, 4.1, 4.1.1, 4.3.1, 4.11, 4.15, 4.15.2, 4.17.3, 4.17.4, 4.17.5, 4.19.1, 4.20.1, 4.23.1, 4.24.3, 4.24.5, 4.24.6, 4.24.8, 4.24.9, 4.25, 4.26, 4.27, 4.27.1, 4.27.2, 4.29, 4.30, 4.30.2, 4.31, 4.31.2, 4.31.3, 4.31.4, 4.31.6, 4.31.7, 4.31.9, 4.32, 4.32.1, 4.32.2, 4.32.3, 4.32.4, 4.32.5, 4.33, 4.35.3, 4.35.5, 4.35.6, 4.35.8, 4.35.9, 4.36, 4.36.1, 4.36.2, 4.38, 4.38.1 (info)
Dependencies base (<5), bytestring, Cabal (>=1.8), containers, debian (>=3.60), directory, filepath, logic-classes (>=0.44), mtl, parsec (>=3), pretty, process, regex-tdfa, unix, Unixutils, utf8-string [details]
License BSD-3-Clause
Author David Fox <dsf@seereason.com>
Maintainer David Fox <dsf@seereason.com>
Category Debian, System
Home page http://src.seereason.com/cabal-debian
Uploaded by DavidFox at Wed Dec 7 17:03:18 UTC 2011
Distributions Debian:4.31, NixOS:4.38.1
Executables cabal-debian
Downloads 23853 total (795 in the last 30 days)
Rating 1.75 (votes: 1) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs not available [build log]
All reported builds failed as of 2016-12-26 [all 8 reports]
Hackage Matrix CI

Flags

NameDescriptionDefaultType
cabal19

True if Cabal >= 1.9 is available

EnabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees